<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="nanbield"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-4.3.3"
           upstream="nanbield"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-4.3.3"
           upstream="nanbield"
           path="sources/meta-mingw"/>

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="da9063bdfbe130f424ba487f167da68e0ce90e7d"
           upstream="nanbield"
           path="sources/meta-openembedded"/>

  <!-- Clang -->
  <remote name="kraj"
          fetch="https://github.com/kraj"/>
  <project name="meta-clang"
           remote="kraj"
           revision="b71a45630d19f210079f42f6394cdde65195fb84"
           upstream="nanbield"
           path="sources/meta-clang"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="ab46faaeb9ee54b2f474c053fda6c370d1ec89b0"
           upstream="nanbield"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-aws"
           remote="qt"
           revision="b7f1a339999ecbeae8d12b9e64a3191a4d01bf31"
           upstream="dev"
           path="sources/meta-boot2qt-aws">
    <linkfile dest="sources/templates" src="conf/templates/default" />
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="refs/tags/v6.7.1"
           upstream="6.7.1"
           path="sources/meta-qt6"/>

  <!-- Internal layer for the proprietary device drivers -->
  <remote name="playground"
          fetch="ssh://git@git.qt.io/boot2qt" />
  <project name="nvidia-devnet-mirror"
           remote="playground"
           revision="bf222acaf4c6e91064dafb2ff4b4e1924f2e604f"
           upstream="linux-aarch64"
           path="sources/nvidia-devnet-mirror"
           groups="notdefault" />

  <!-- Device specific layer with its depends -->
  <remote name="aws"
          fetch="https://github.com/aws4embeddedlinux" />
  <project name="meta-aws"
           remote="aws"
           revision="73cc083650fde1e40f8bca4fba685657cbf9820f"
           upstream="nanbield"
           path="sources/meta-aws"/>
  <project name="meta-virtualization"
           remote="yocto"
           revision="4372c0ebd99069a5bef99f00ad105bbd35ba3ec2"
           upstream="nanbield"
           path="sources/meta-virtualization" />
</manifest>
